Skip to main content
GET
/
coins
/
markets
Coins List with Market Data
curl --request GET \
  --url https://api.coingecko.com/api/v3/coins/markets \
  --header 'x-cg-demo-api-key: <api-key>'
[
  {
    "id": "bitcoin",
    "symbol": "btc",
    "name": "Bitcoin",
    "image": "https://coin-images.coingecko.com/coins/images/1/large/bitcoin.png?1696501400",
    "current_price": 77671,
    "market_cap": 1555886872303,
    "market_cap_rank": 1,
    "fully_diluted_valuation": 1555914058873,
    "total_volume": 33235034316,
    "high_24h": 78419,
    "low_24h": 76696,
    "price_change_24h": -747.3360347281705,
    "price_change_percentage_24h": -0.95302,
    "market_cap_change_24h": -15184401491.513184,
    "market_cap_change_percentage_24h": -0.9665,
    "circulating_supply": 20030493,
    "total_supply": 20030843,
    "max_supply": 21000000,
    "ath": 126080,
    "ath_change_percentage": -38.39571,
    "ath_date": "2025-10-06T18:57:42.558Z",
    "atl": 67.81,
    "atl_change_percentage": 114443.23093,
    "atl_date": "2013-07-06T00:00:00.000Z",
    "roi": null,
    "last_updated": "2026-05-18T12:49:21.599Z",
    "market_cap_rank_with_rehypothecated": 1,
    "sparkline_in_7d": {
      "price": [
        81045.84776489827,
        81001.73089268175,
        80898.20817826076
      ]
    },
    "price_change_percentage_1h_in_currency": 0.5823392426906319,
    "price_change_percentage_24h_in_currency": -0.9530164743774191,
    "price_change_percentage_7d_in_currency": -4.042267423689584,
    "price_change_percentage_14d_in_currency": -1.5720857443461431,
    "price_change_percentage_30d_in_currency": 1.9453890367549207,
    "price_change_percentage_200d_in_currency": -29.452371850925864,
    "price_change_percentage_1y_in_currency": -25.214612207475373
  }
]

Notes

  • Filter by ids, names, symbols, or category. When multiple are provided, priority is: category > ids > names > symbols.
  • URL-encode spaces in names (e.g. Binance%20Coin).
  • include_tokens=all only works with symbols lookups, limited to 50 symbols per request.
  • Maximum of 250 IDs per request. Wildcard searches are not supported.
  • Use per_page and page to paginate results.
Filter by category using the category param — refer to Coins Categories List for available values.

SDK Examples

const response = await client.coins.markets.get({
  vs_currency: 'usd',
});

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-demo-api-key
string
header
required

Query Parameters

vs_currency
string
default:usd
required

Target currency of coins and market data. *refers to /simple/supported_vs_currencies

ids
string
default:bitcoin

Coins' IDs, comma-separated if querying more than 1 coin. *refers to /coins/list

names
string
default:Bitcoin

Coins' names, comma-separated if querying more than 1 coin.

symbols
string
default:btc

Coins' symbols, comma-separated if querying more than 1 coin.

include_tokens
enum<string>

For symbols lookups, specify all to include all matching tokens. Default top returns top-ranked tokens by market cap or volume.

Available options:
top,
all
category
string

Filter based on coins' category. *refers to /coins/categories/list

order
enum<string>

Sort result by field. Default: market_cap_desc

Available options:
market_cap_asc,
market_cap_desc,
volume_asc,
volume_desc,
id_asc,
id_desc
per_page
integer

Total results per page. Default: 100 Valid values: 1...250

page
integer

Page through results. Default: 1

sparkline
boolean

Include sparkline 7-day data. Default: false

price_change_percentage
string

Include price change percentage timeframe, comma-separated if querying more than 1 timeframe. Valid values: 1h, 24h, 7d, 14d, 30d, 200d, 1y

locale
enum<string>

Language background. Default: en

Available options:
ar,
bg,
cs,
da,
de,
el,
en,
es,
fi,
fr,
he,
hi,
hr,
hu,
id,
it,
ja,
ko,
lt,
nl,
no,
pl,
pt,
ro,
ru,
sk,
sl,
sv,
th,
tr,
uk,
vi,
zh,
zh-tw
precision
enum<string>

Decimal places for currency price value

Available options:
full,
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18
include_rehypothecated
boolean

Include rehypothecated tokens in results. When true, returns market_cap_rank_with_rehypothecated field. Default: false

Response

200 - application/json

List of coins with market data

id
string
required

Coin ID

symbol
string
required

Coin symbol

name
string
required

Coin name

image
string
required

Coin image URL

current_price
number | null
required

Current price in target currency

market_cap
number | null
required

Market cap in target currency

market_cap_rank
integer | null
required

Market cap rank

fully_diluted_valuation
number | null
required

Fully diluted valuation in target currency

total_volume
number | null
required

Total trading volume in target currency

high_24h
number | null
required

24-hour price high in target currency

low_24h
number | null
required

24-hour price low in target currency

price_change_24h
number | null
required

24-hour price change in target currency

price_change_percentage_24h
number | null
required

24-hour price change percentage

market_cap_change_24h
number | null
required

24-hour market cap change in target currency

market_cap_change_percentage_24h
number | null
required

24-hour market cap change percentage

circulating_supply
number | null
required

Circulating supply

total_supply
number | null
required

Total supply

max_supply
number | null
required

Max supply

ath
number | null
required

All-time high price in target currency

ath_change_percentage
number | null
required

All-time high change percentage

ath_date
string<date-time> | null
required

All-time high date

atl
number | null
required

All-time low price in target currency

atl_change_percentage
number | null
required

All-time low change percentage

atl_date
string<date-time> | null
required

All-time low date

roi
object
required

Return on investment data

last_updated
string<date-time>
required

Last updated timestamp

market_cap_rank_with_rehypothecated
integer | null

Market cap rank including rehypothecated tokens

sparkline_in_7d
object

Sparkline price data for the last 7 days

price_change_percentage_1h_in_currency
number | null

1-hour price change percentage in target currency

price_change_percentage_24h_in_currency
number | null

24-hour price change percentage in target currency

price_change_percentage_7d_in_currency
number | null

7-day price change percentage in target currency

price_change_percentage_14d_in_currency
number | null

14-day price change percentage in target currency

price_change_percentage_30d_in_currency
number | null

30-day price change percentage in target currency

price_change_percentage_200d_in_currency
number | null

200-day price change percentage in target currency

price_change_percentage_1y_in_currency
number | null

1-year price change percentage in target currency